%define name python-numeric
%define version 20.1.0
%define release 1mdk

Summary: Python numerical facilities 
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD-like
URL: http://www.pfdubois.com/numpy/
Group: Development/Python
Source0: Numeric-%{version}.tar.bz2
Source1: numdoc.pdf.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: python >= 2.0
BuildRequires: python-devel
Obsoletes: python-numpy

%description
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

%package devel
Group: Development/Python
Summary: Python numerical facilities

%description devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

Devel files

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n Numeric-%{version} -q
cp %{SOURCE1} .
bunzip2 numdoc.pdf.bz2


%build
python setup.py build
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py build)
done


%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py install --root=%{buildroot})
done


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc MANIFEST README
%{_libdir}/python*/site-packages/FFT
%{_libdir}/python*/site-packages/MA
%{_libdir}/python*/site-packages/Numeric
%{_libdir}/python*/site-packages/RNG
%{_libdir}/python*/site-packages/Numeric.pth

%files devel
%defattr(-, root, root)
%doc Demo Test numdoc.pdf
%{_includedir}/python*/Numeric

%changelog
* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 20.1.0-1mdk
- Release 20.1.0

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-4mdk
- rebuild

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-3mdk
- remove patch condition if LAPACK/BLAS is present (thx G.Vermeulen)

* Sat Mar 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-2mdk
- split package

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-1mdk
- updated to 17.3.0
- used patches from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.2.0-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- updated to 17.2.0

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.0-1mdk
- new in contribs

* Fri Oct 27 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 17.1.1-1gv
- CVS-source sucked on Oct 27 2000
- fix: depends on '#include "Numeric/arrayobject.h"' being installed
- fix: Fortran LAPACK/BLAS
- FIXME: Gist?

